Subject: Re: [PATCH] print errors to stderr
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Wed, 22 Jun 2016 10:14:17 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jun 22,  9:42am, Oliver Kiddle wrote:
} 
} I think this behaviour is actually intentional. It is arguably not an
} error - the whence command's purpose is to search for something and
} report on whether it is found. So it doesn't rely on finding it. Also,
} this is compatible with csh and tcsh - the which command was a csh thing
} first.

Maybe it's time for either the doc or a code comment to explain this,
because I recall having this same discussion with someone else several
months ago.